linxio-js
API Reference

Geofences

Geofence area and area-group HTTP endpoints.

The REST API names geofences as areas. Use archive endpoints for reversible operations and delete endpoints only when you intend to remove records permanently.

GET /areas

GET

List geofences

/areaslinxio.geofences.list(params)

Returns a paginated list of geofence areas.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.

Request query parameters

number
optional
Number of records per page.
number
optional
Page number to read.
string[]
optional
Optional field projection.
string
optional
Sort expression accepted by Linxio.

Response body fields

optional
Geofence records for the current page.
Show child parameters
string | null
optional
Display color.
optional
Polygon/polyline/rectangle coordinates.
LinxioId
required
Geofence identifier.
string
required
Geofence display name.
number | null
optional
Circle radius when the geofence is circular.
GeofenceType
optional
Geofence shape type.
Possible enum values
circle

Circular geofence.

polygon

Polygon geofence.

polyline

Polyline geofence.

rectangle

Rectangular geofence.

number
optional
Pagination metadata.

GET /areas/{areaId}

GET

Get a geofence

/areas/{areaId}linxio.geofences.get(areaId)

Returns one geofence area by ID.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.

Request url parameters

LinxioId
required
Geofence area identifier.

Response body fields

LinxioId
optional
Geofence area identifier.
string
optional
Geofence display name.
GeofenceType
optional
Geometry type.
Possible enum values
circle

Circular geofence.

polygon

Polygon geofence.

polyline

Polyline geofence.

rectangle

Rectangular geofence.

optional
Geometry coordinates when supplied.
Show child parameters
number
required
Latitude in decimal degrees.
number
required
Longitude in decimal degrees.
number
optional
Circle radius in metres when supplied.

POST /areas

POST

Create a geofence

/areaslinxio.geofences.create(payload)

Creates a geofence area.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.
application/json
required
Required when sending a JSON request body.

Request body parameters

string
required
Display name.
GeofenceType
required
Geometry type.
Possible enum values
circle

Circular geofence.

polygon

Polygon geofence.

polyline

Polyline geofence.

rectangle

Rectangular geofence.

optional
Geometry coordinates. Circles typically use one centre point.
Show child parameters
number
required
Latitude in decimal degrees.
number
required
Longitude in decimal degrees.
number
optional
Circle radius in metres.
string
optional
Display colour accepted by Linxio.

Response body fields

LinxioId
optional
Created geofence area ID.

PATCH /areas/{areaId}

PATCH

Update a geofence

/areas/{areaId}linxio.geofences.update(areaId, payload)

Updates a geofence area.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.
application/json
required
Required when sending a JSON request body.

Path and body parameters

LinxioId
required
Geofence area identifier.
required
Fields to update.
Show child parameters
string
optional
Display color.
optional
Polygon/polyline/rectangle coordinates.
string
required
Geofence display name.
number
optional
Circle radius.
GeofenceType
required
Geofence shape type.
Possible enum values
circle

Circular geofence.

polygon

Polygon geofence.

polyline

Polyline geofence.

rectangle

Rectangular geofence.

Response body fields

LinxioId
optional
Updated geofence area ID.

PATCH /areas/{areaId}/archive

PATCH

Archive a geofence

/areas/{areaId}/archivelinxio.geofences.archive(areaId)

Soft-archives a geofence area.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.
application/json
required
Required when sending a JSON request body.

Request url parameters

LinxioId
required
Geofence area identifier.

Response headers

204 or JSON
optional
Successful archive response.

PATCH /areas/{areaId}/restore

PATCH

Restore a geofence

/areas/{areaId}/restorelinxio.geofences.restore(areaId)

Restores a previously archived geofence area.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.
application/json
required
Required when sending a JSON request body.

Request url parameters

LinxioId
required
Archived geofence area identifier.

Response headers

204 or JSON
optional
Successful restore response.

DELETE /areas/{areaId}

DELETE

Delete a geofence

/areas/{areaId}linxio.geofences.delete(areaId)

Permanently deletes a geofence area.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.

Request url parameters

LinxioId
required
Geofence area identifier.

Response headers

204 or JSON
optional
Successful delete response.

GET /area-groups

GET

List geofence groups

/area-groupslinxio.geofences.listGroups()

Lists area groups.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.

Request query parameters

void
optional
No query parameters are required.

Response body fields

LinxioId
optional
Area group identifier.
string
optional
Area group display name.

GET /area-groups/{groupId}

GET

Get a geofence group

/area-groups/{groupId}linxio.geofences.getGroup(groupId)

Returns one area group by ID.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.

Request url parameters

LinxioId
required
Area group identifier.

Response body fields

LinxioId
optional
Area group identifier.
string
optional
Area group display name.

POST /area-groups

POST

Create a geofence group

/area-groupslinxio.geofences.createGroup(payload)

Creates an area group.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.
application/json
required
Required when sending a JSON request body.

Request body parameters

string
required
Area group display name.

Response body fields

LinxioId
optional
Created area group ID.

PATCH /area-groups/{groupId}

PATCH

Update a geofence group

/area-groups/{groupId}linxio.geofences.updateGroup(groupId, payload)

Updates an area group.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.
application/json
required
Required when sending a JSON request body.

Path and body parameters

LinxioId
required
Area group identifier.
string
optional
Updated group name.

Response body fields

LinxioId
optional
Updated area group ID.

PATCH /area-groups/{groupId}/archive

PATCH

Archive a geofence group

/area-groups/{groupId}/archivelinxio.geofences.archiveGroup(groupId)

Soft-archives an area group.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.
application/json
required
Required when sending a JSON request body.

Request url parameters

LinxioId
required
Area group identifier.

Response headers

204 or JSON
optional
Successful archive response.

PATCH /area-groups/{groupId}/restore

PATCH

Restore a geofence group

/area-groups/{groupId}/restorelinxio.geofences.restoreGroup(groupId)

Restores a previously archived area group.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.
application/json
required
Required when sending a JSON request body.

Request url parameters

LinxioId
required
Archived area group identifier.

Response headers

204 or JSON
optional
Successful restore response.

DELETE /area-groups/{groupId}

DELETE

Delete a geofence group

/area-groups/{groupId}linxio.geofences.deleteGroup(groupId)

Permanently deletes an area group.

Request headers

Bearer token
required
JWT bearer token returned by login or token refresh.

Request url parameters

LinxioId
required
Area group identifier.

Response headers

204 or JSON
optional
Successful delete response.

On this page